<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="CurrencyPlanNPO"   package="performa.orm"  superclass="NonPersistentBO">
        
        <IMPORT value="oneit.servlets.orm.*"/>
        <IMPORT value="performa.orm.types.*"/>    

        <TABLE  name="it_does_not_matter" tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="Amount"               type="Double"           SubType="Currency"  Formatter="Currency"    />
            <ATTRIB name="PerJobAmount"         type="Double"           SubType="Currency"  Formatter="Currency"    />
            <ATTRIB name="CurrencyType"         type="CurrencyType"     attribHelper="EnumeratedAttributeHelper"/>

            <SINGLEREFERENCE    name="Plan"     type="StripePlanNPO"    backreferenceName="CurrencyPlans"/>

        </TABLE>
        
    </BUSINESSCLASS>
    
</ROOT>